/**
 * This file prepares typings for the action initializers within btt instance
 */
import AHapticFeedback from '../common/actions/hapticFeedback';
import ASendText from '../common/actions/sendText';
import ADelayNextAction from '../common/actions/delayNextAction';
import AToggleBTT from '../common/actions/toggle';
import AStartSiri from '../common/actions/startSiri';
import ALaunchApplication from '../common/actions/launchApplication';
import AToggleApplication from '../common/actions/toggleApplication';
import AMute from '../common/actions/mute';
import ATriggerShortcut from '../common/actions/triggerShortcut';
import AToggleNightShift from '../common/actions/toggleNightShift';
import AToggleDnD from '../common/actions/toggleDnD';
import AToggleMouseSize from '../common/actions/toggleMouseSize';
import AToggleMouseSpeed from '../common/actions/toggleMouseSpeed';
import AToggleMouseCursor from '../common/actions/toggleMouseCursor';
import AToggleDarkMode from '../common/actions/toggleDarkMode';
import ALockScreen from '../common/actions/lockScreen';
import ALogout from '../common/actions/logout';
import ASleepDisplay from '../common/actions/sleepDisplay';
import ASleepComputer from '../common/actions/sleepComputer';
import ARestartBTT from '../common/actions/restart';
import AQuitBTT from '../common/actions/quit';
import ASendShortcut from '../common/actions/sendShortcut';
import AShowHUD from '../common/actions/showHUD';
import AMoveMouse from '../common/actions/moveMouse';
import AShowWebView from '../common/actions/showWebView';
import AExecuteScript from '../common/actions/executeScript';
import AShowNotification from '../common/actions/showNotification';
import AToggleTrueTone from '../common/actions/toggleTrueTone';
import ASaveSelectedText from '../common/actions/saveSelectedText';
import * as Types from '../types/types';
export declare type ToggleDnD = () => AToggleDnD;
export declare type ExecuteScript = (code: string) => AExecuteScript;
export declare type ToggleTrueTone = () => AToggleTrueTone;
export declare type ToggleNightShift = () => AToggleNightShift;
export declare type TriggerShortcut = (shortcut: string) => ATriggerShortcut;
export declare type ShowHUD = (config: Types.IShowHUDConfig) => AShowHUD;
export declare type SendText = (config: Types.ISendTextConfig) => ASendText;
export declare type HapticFeedback = (mode: number) => AHapticFeedback;
export declare type MoveMouse = (config: Types.IMoveMouseConfig) => AMoveMouse;
export declare type DelayNextAction = (timeout: number) => ADelayNextAction;
export declare type ToggleBTT = () => AToggleBTT;
export declare type StartSiri = () => AStartSiri;
export declare type Mute = () => AMute;
export declare type ToggleApplication = (applicationPath: string) => AToggleApplication;
export declare type LaunchApplication = (applicationPath: string) => ALaunchApplication;
export declare type SleepDisplay = () => ASleepDisplay;
export declare type Logout = () => ALogout;
export declare type LockScreen = () => ALockScreen;
export declare type ShowWebView = () => AShowWebView;
export declare type ToggleDarkMode = () => AToggleDarkMode;
export declare type ToggleMouseSize = () => AToggleMouseSize;
export declare type ToggleMouseCursor = () => AToggleMouseCursor;
export declare type ToggleMouseSpeed = () => AToggleMouseSpeed;
export declare type QuitBTT = () => AQuitBTT;
export declare type ShowNotification = (config: Types.IShowNotificationConfig) => AShowNotification;
export declare type RestartBTT = () => ARestartBTT;
export declare type SaveSelectedText = () => ASaveSelectedText;
export declare type SleepComputer = () => ASleepComputer;
export declare type SendShortcut = (shortcut: string, applicationPath: string, mdlsName?: string) => ASendShortcut;
