/**
 * This file prepares typings for the action initializers within btt instance
 */
import AHapticFeedback from '../common/actions/hapticFeedback';
import ASendText from '../common/actions/sendText';
import ADelayNextAction from '../common/actions/delayNextAction';
import AToggleBTT from '../common/actions/toggle';
import AStartSiri from '../common/actions/startSiri';
import ALaunchApplication from '../common/actions/launchApplication';
import AToggleApplication from '../common/actions/toggleApplication';
import AMute from '../common/actions/mute';
import ATriggerShortcut from '../common/actions/triggerShortcut';
import AToggleNightShift from '../common/actions/toggleNightShift';
import AToggleDnD from '../common/actions/toggleDnD';
import AToggleMouseSize from '../common/actions/toggleMouseSize';
import AToggleMouseSpeed from '../common/actions/toggleMouseSpeed';
import AToggleMouseCursor from '../common/actions/toggleMouseCursor';
import AToggleDarkMode from '../common/actions/toggleDarkMode';
import ALockScreen from '../common/actions/lockScreen';
import ALogout from '../common/actions/logout';
import ASleepDisplay from '../common/actions/sleepDisplay';
import ASleepComputer from '../common/actions/sleepComputer';
import ARestartBTT from '../common/actions/restart';
import AQuitBTT from '../common/actions/quit';
import ASendShortcut from '../common/actions/sendShortcut';
import AShowHUD from '../common/actions/showHUD';
import AMoveMouse from '../common/actions/moveMouse';
import AShowWebView from '../common/actions/showWebView';
import AExecuteScript from '../common/actions/executeScript';
import AShowNotification from '../common/actions/showNotification';
import AToggleTrueTone from '../common/actions/toggleTrueTone';
import ASaveSelectedText from '../common/actions/saveSelectedText';
import Chain from '../app/chain';
import * as Types from './types';
export declare type EventMethod = (eventType: string, cb: Types.EventCallback) => void;
export declare type ToggleTrueTone = () => AToggleTrueTone;
export declare type ToggleNightShift = () => AToggleNightShift;
export declare type TriggerShortcut = (shortcut: string) => ATriggerShortcut;
export declare type ShowHUD = (config: Types.ShowHUDConfig) => AShowHUD;
export declare type SendText = (config: Types.SendTextConfig) => ASendText;
export declare type HapticFeedback = (mode: number) => AHapticFeedback;
export declare type MoveMouse = (config: Types.MoveMouseConfig) => AMoveMouse;
export declare type DelayNextAction = (timeout: number) => ADelayNextAction;
export declare type ToggleBTT = () => AToggleBTT;
export declare type StartSiri = () => AStartSiri;
export declare type Mute = () => AMute;
export declare type ToggleApplication = (applicationPath: string, binaryPath: string) => AToggleApplication;
export declare type LaunchApplication = (applicationPath: string) => ALaunchApplication;
export declare type SleepDisplay = () => ASleepDisplay;
export declare type Logout = () => ALogout;
export declare type LockScreen = () => ALockScreen;
export declare type ShowWebView = (config: Types.ShowWebViewConfig) => AShowWebView;
export declare type ToggleDarkMode = () => AToggleDarkMode;
export declare type ToggleMouseSize = () => AToggleMouseSize;
export declare type ToggleMouseCursor = () => AToggleMouseCursor;
export declare type ToggleMouseSpeed = () => AToggleMouseSpeed;
export declare type QuitBTT = () => AQuitBTT;
export declare type ShowNotification = (config: Types.ShowNotificationConfig) => AShowNotification;
export declare type RestartBTT = () => ARestartBTT;
export declare type SaveSelectedText = () => ASaveSelectedText;
export declare type SleepComputer = () => ASleepComputer;
export declare type SendShortcut = (shortcut: string, applicationPath: string, mdlsName?: string) => ASendShortcut;
export declare type ExecuteScript = (code: string) => AExecuteScript;
export declare type ToggleDnD = () => AToggleDnD;
export declare type ChainToggleDnD = () => Chain;
export declare type ChainExecuteScript = (code: string) => Chain;
export declare type ChainToggleTrueTone = () => Chain;
export declare type ChainToggleNightShift = () => Chain;
export declare type ChainTriggerShortcut = (shortcut: string) => Chain;
export declare type ChainShowHUD = (config: Types.ShowHUDConfig) => Chain;
export declare type ChainSendText = (config: Types.SendTextConfig) => Chain;
export declare type ChainHapticFeedback = (mode: number) => Chain;
export declare type ChainMoveMouse = (config: Types.MoveMouseConfig) => Chain;
export declare type ChainDelayNextAction = (timeout: number) => Chain;
export declare type ChainToggleBTT = () => Chain;
export declare type ChainStartSiri = () => Chain;
export declare type ChainMute = () => Chain;
export declare type ChainToggleApplication = (applicationPath: string, binaryPath: string) => Chain;
export declare type ChainLaunchApplication = (applicationPath: string) => Chain;
export declare type ChainSleepDisplay = () => Chain;
export declare type ChainLogout = () => Chain;
export declare type ChainLockScreen = () => Chain;
export declare type ChainShowWebView = (config: Types.ShowWebViewConfig) => Chain;
export declare type ChainToggleDarkMode = () => Chain;
export declare type ChainToggleMouseSize = () => Chain;
export declare type ChainToggleMouseCursor = () => Chain;
export declare type ChainToggleMouseSpeed = () => Chain;
export declare type ChainQuitBTT = () => Chain;
export declare type ChainShowNotification = (config: Types.ShowNotificationConfig) => Chain;
export declare type ChainRestartBTT = () => Chain;
export declare type ChainSaveSelectedText = () => Chain;
export declare type ChainSleepComputer = () => Chain;
export declare type ChainSendShortcut = (shortcut: string, applicationPath: string, mdlsName?: string) => Chain;
